gtk-doc r663 - in trunk: . tests



Author: stefkost
Date: Fri Jan 23 21:45:16 2009
New Revision: 663
URL: http://svn.gnome.org/viewvc/gtk-doc?rev=663&view=rev

Log:
	* gtkdoc-mkdb.in:
	  Recomment out debug log the accidentialy went in.
	* configure.in:
	* tests/Makefile.am:
	* tests/fail.sh:
	* tests/tools.sh.in:
	* tests/tools.sh.in (added):
	  Add a check that tests that all scripts are runnable.



Added:
   trunk/tests/tools.sh.in
Modified:
   trunk/ChangeLog
   trunk/configure.in
   trunk/gtkdoc-mkdb.in
   trunk/tests/   (props changed)
   trunk/tests/Makefile.am
   trunk/tests/fail.sh

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Fri Jan 23 21:45:16 2009
@@ -199,7 +199,7 @@
 AC_CONFIG_FILES([gtkdoc-scangobj], [chmod +x gtkdoc-scangobj])
 AC_CONFIG_FILES([gtkdoc-scanobj],  [chmod +x gtkdoc-scanobj])
 AC_CONFIG_FILES([gtkdocize],       [chmod +x gtkdocize])
-
+AC_CONFIG_FILES([tests/tools.sh],  [chmod +x tests/tools.sh])
 AC_OUTPUT
 
 AC_MSG_NOTICE([

Modified: trunk/gtkdoc-mkdb.in
==============================================================================
--- trunk/gtkdoc-mkdb.in	(original)
+++ trunk/gtkdoc-mkdb.in	Fri Jan 23 21:45:16 2009
@@ -3971,7 +3971,7 @@
                     $type="SIGNAL";
                 }
 
-                print "Check param docs for $symbol, tmpl_params: ",$#$tmpl_params," entries, type=$type\n";
+                #print "Check param docs for $symbol, tmpl_params: ",$#$tmpl_params," entries, type=$type\n";
 
                 if ($#$tmpl_params > 0) {
                     my $j;

Modified: trunk/tests/Makefile.am
==============================================================================
--- trunk/tests/Makefile.am	(original)
+++ trunk/tests/Makefile.am	Fri Jan 23 21:45:16 2009
@@ -4,13 +4,13 @@
 
 if BUILD_TESTS
 
-TESTS = gobject.sh bugs.sh annotations.sh fail.sh
+TESTS = tools.sh gobject.sh bugs.sh annotations.sh fail.sh
 TESTS_ENVIRONMENT = \
 	PATH=$(abs_top_builddir):$(srcdir):$(PATH) \
 	PERL5LIB=$(abs_top_builddir):$(PERL5LIB)
 
 endif
 
-EXTRA_DIST = gtkdoctest.sh \
+EXTRA_DIST = gtkdoctest.sh tools.sh \
 	gobject.sh bugs.sh annotations.sh fail.sh
 

Modified: trunk/tests/fail.sh
==============================================================================
--- trunk/tests/fail.sh	(original)
+++ trunk/tests/fail.sh	Fri Jan 23 21:45:16 2009
@@ -20,4 +20,4 @@
 echo "tested : $tested, failed : $failed"
 rate=$((100*($tested - $failed)/$tested));
 echo "$rate %: Checks $tested, Failures: $failed"
-exit `test $failed != 0`;
+exit `test $failed = 0`;

Added: trunk/tests/tools.sh.in
==============================================================================
--- (empty file)
+++ trunk/tests/tools.sh.in	Fri Jan 23 21:45:16 2009
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+failed=0
+tested=0
+
+echo "Running suite(s): gtk-doc-tools";
+
+# tests
+
+ PERL@ -cwT `which gtkdoc-check`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-fixxref`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-mkdb`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-mktmpl`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-rebase`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-scan`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-scangobj`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+ PERL@ -cwT `which gtkdoc-scanobj`
+if test $? = 1 ; then failed=$(($failed + 1)); fi
+tested=$(($tested + 1))
+
+# summary
+echo "tested : $tested, failed : $failed"
+rate=$((100*($tested - $failed)/$tested));
+echo "$rate %: Checks $tested, Failures: $failed"
+exit `test $failed = 0`;



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]